Update IP Address Status
curl --request PATCH \
--url https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"forgotten": true
}
'import requests
url = "https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}"
payload = { "forgotten": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({forgotten: true})
};
fetch('https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'forgotten' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}"
payload := strings.NewReader("{\n \"forgotten\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"forgotten\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"forgotten\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"ipId": "789e0123-e89b-12d3-a456-426614174333",
"forgotten": true
},
"result": {
"timestamp": "2023-09-15T14:30:00Z",
"valid": true,
"details": "IP address forgotten successfully"
}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>",
"code": "INTERNAL_SERVER_ERROR"
},
"data": {}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>",
"code": "INTERNAL_SERVER_ERROR"
},
"data": {}
}Dev - Licenses
Update IP Address Status
Update the forgotten status of an IP address. This allows you to “forget” (soft delete) or “remember” (restore) IP addresses.
PATCH
/
api
/
v1
/
dev
/
teams
/
{teamId}
/
licenses
/
id
/
{licenseId}
/
ip-address
/
{ipId}
Update IP Address Status
curl --request PATCH \
--url https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"forgotten": true
}
'import requests
url = "https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}"
payload = { "forgotten": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({forgotten: true})
};
fetch('https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'forgotten' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}"
payload := strings.NewReader("{\n \"forgotten\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"forgotten\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.lukittu.com/api/v1/dev/teams/{teamId}/licenses/id/{licenseId}/ip-address/{ipId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"forgotten\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"ipId": "789e0123-e89b-12d3-a456-426614174333",
"forgotten": true
},
"result": {
"timestamp": "2023-09-15T14:30:00Z",
"valid": true,
"details": "IP address forgotten successfully"
}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>",
"code": "INTERNAL_SERVER_ERROR"
},
"data": {}
}{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>",
"code": "INTERNAL_SERVER_ERROR"
},
"data": {}
}